LINUX.ORG.RU

[gentoo]Обновление системы. Как лучше?


0

2

Недели три не обновлял систему. Обновлений насобиралось много. В частности, обновились кеды до 4.5.2 и возжелали другую версию qt. Но, у всех qt-* конфликт версий. Думается, размаскирование версии 4.7 помогло бы, но не хочется. Собственно, вопрос, как установить все обновления, которые возможно (т.е. все, у которых нет заблокированных зависимостей)? Только руками по одному пакету обновлять?

★★

то ли я чего-то не понимаю, то ли хз

desktop megabaks #  emerge -avuDN world
....
Calculating dependencies... done!
[ebuild     U ] x11-libs/qt-core-4.7.0 [4.6.3] USE="exceptions glib iconv qt3support ssl (-aqua) -debug -optimized-qmake -pch -private-headers% (-doc%)" 203,438 kB
.....
[ebuild     U ] x11-libs/qt-dbus-4.7.0 [4.6.3] USE="exceptions (-aqua) -debug -pch" 0 kB
[blocks b     ] <x11-libs/qt-dbus-4.7.0 ("<x11-libs/qt-dbus-4.7.0" is blocking x11-libs/qt-test-4.7.0, x11-libs/qt-svg-4.7.0, x11-libs/qt-qt3support-4.7.0, x11-libs/qt-gui-4.7.0, x11-libs/qt-declarative-4.7.0, x11-libs/qt-webkit-4.7.0, x11-libs/qt-core-4.7.0, x11-libs/qt-sql-4.7.0, x11-libs/qt-assistant-4.7.0, x11-libs/qt-opengl-4.7.0, x11-libs/qt-multimedia-4.7.0, x11-libs/qt-xmlpatterns-4.7.0, x11-libs/qt-script-4.7.0)
[ebuild     U ] x11-libs/qt-test-4.7.0 [4.6.3] USE="exceptions iconv (-aqua) -debug -pch" 0 kB
[blocks b     ] <x11-libs/qt-test-4.7.0 ("<x11-libs/qt-test-4.7.0" is blocking x11-libs/qt-svg-4.7.0, x11-libs/qt-qt3support-4.7.0, x11-libs/qt-gui-4.7.0, x11-libs/qt-declarative-4.7.0, x11-libs/qt-webkit-4.7.0, x11-libs/qt-core-4.7.0, x11-libs/qt-sql-4.7.0, x11-libs/qt-assistant-4.7.0, x11-libs/qt-opengl-4.7.0, x11-libs/qt-script-4.7.0, x11-libs/qt-xmlpatterns-4.7.0, x11-libs/qt-dbus-4.7.0, x11-libs/qt-multimedia-4.7.0)
[ebuild     U ] x11-libs/qt-xmlpatterns-4.7.0 [4.6.3] USE="(-aqua) -debug -pch" 0 kB
[blocks b     ] <x11-libs/qt-xmlpatterns-4.7.0 ("<x11-libs/qt-xmlpatterns-4.7.0" is blocking x11-libs/qt-test-4.7.0, x11-libs/qt-svg-4.7.0, x11-libs/qt-qt3support-4.7.0, x11-libs/qt-gui-4.7.0, x11-libs/qt-declarative-4.7.0, x11-libs/qt-webkit-4.7.0, x11-libs/qt-core-4.7.0, x11-libs/qt-sql-4.7.0, x11-libs/qt-assistant-4.7.0, x11-libs/qt-opengl-4.7.0, x11-libs/qt-multimedia-4.7.0, x11-libs/qt-dbus-4.7.0, x11-libs/qt-script-4.7.0)
[ebuild     U ] x11-libs/qt-gui-4.7.0 [4.6.3] USE="accessibility dbus exceptions glib gtk mng nas qt3support raster tiff (-aqua) -cups -debug -egl% -nis -pch -private-headers% -trace -xinerama" 0 kB
[blocks b     ] <x11-libs/qt-gui-4.7.0 ("<x11-libs/qt-gui-4.7.0" is blocking x11-libs/qt-test-4.7.0, x11-libs/qt-svg-4.7.0, x11-libs/qt-qt3support-4.7.0, x11-libs/qt-declarative-4.7.0, x11-libs/qt-webkit-4.7.0, x11-libs/qt-core-4.7.0, x11-libs/qt-sql-4.7.0, x11-libs/qt-assistant-4.7.0, x11-libs/qt-opengl-4.7.0, x11-libs/qt-multimedia-4.7.0, x11-libs/qt-xmlpatterns-4.7.0, x11-libs/qt-dbus-4.7.0, x11-libs/qt-script-4.7.0)
[ebuild     U ] x11-libs/qt-qt3support-4.7.0 [4.6.3] USE="accessibility exceptions kde phonon (-aqua) -debug -pch" 0 kB
[blocks b     ] <x11-libs/qt-qt3support-4.7.0 ("<x11-libs/qt-qt3support-4.7.0" is blocking x11-libs/qt-test-4.7.0, x11-libs/qt-svg-4.7.0, x11-libs/qt-gui-4.7.0, x11-libs/qt-declarative-4.7.0, x11-libs/qt-webkit-4.7.0, x11-libs/qt-core-4.7.0, x11-libs/qt-sql-4.7.0, x11-libs/qt-assistant-4.7.0, x11-libs/qt-opengl-4.7.0, x11-libs/qt-multimedia-4.7.0, x11-libs/qt-xmlpatterns-4.7.0, x11-libs/qt-dbus-4.7.0, x11-libs/qt-script-4.7.0)
[ebuild     U ] x11-libs/qt-svg-4.7.0 [4.6.3] USE="exceptions iconv (-aqua) -debug -pch" 0 kB
[blocks b     ] <x11-libs/qt-svg-4.7.0 ("<x11-libs/qt-svg-4.7.0" is blocking x11-libs/qt-test-4.7.0, x11-libs/qt-qt3support-4.7.0, x11-libs/qt-gui-4.7.0, x11-libs/qt-declarative-4.7.0, x11-libs/qt-webkit-4.7.0, x11-libs/qt-core-4.7.0, x11-libs/qt-sql-4.7.0, x11-libs/qt-assistant-4.7.0, x11-libs/qt-opengl-4.7.0, x11-libs/qt-multimedia-4.7.0, x11-libs/qt-xmlpatterns-4.7.0, x11-libs/qt-dbus-4.7.0, x11-libs/qt-script-4.7.0)
[ebuild     U ] x11-libs/qt-opengl-4.7.0 [4.6.3] USE="exceptions qt3support (-aqua) -debug -egl% -pch" 0 kB
[blocks b     ] <x11-libs/qt-opengl-4.7.0 ("<x11-libs/qt-opengl-4.7.0" is blocking x11-libs/qt-test-4.7.0, x11-libs/qt-svg-4.7.0, x11-libs/qt-qt3support-4.7.0, x11-libs/qt-gui-4.7.0, x11-libs/qt-declarative-4.7.0, x11-libs/qt-webkit-4.7.0, x11-libs/qt-core-4.7.0, x11-libs/qt-sql-4.7.0, x11-libs/qt-assistant-4.7.0, x11-libs/qt-multimedia-4.7.0, x11-libs/qt-xmlpatterns-4.7.0, x11-libs/qt-dbus-4.7.0, x11-libs/qt-script-4.7.0)
[ebuild     U ] x11-libs/qt-multimedia-4.7.0 [4.6.3] USE="exceptions iconv (-aqua) -debug -pch" 0 kB
[blocks b     ] <x11-libs/qt-multimedia-4.7.0 ("<x11-libs/qt-multimedia-4.7.0" is blocking x11-libs/qt-test-4.7.0, x11-libs/qt-svg-4.7.0, x11-libs/qt-qt3support-4.7.0, x11-libs/qt-gui-4.7.0, x11-libs/qt-declarative-4.7.0, x11-libs/qt-webkit-4.7.0, x11-libs/qt-core-4.7.0, x11-libs/qt-sql-4.7.0, x11-libs/qt-assistant-4.7.0, x11-libs/qt-opengl-4.7.0, x11-libs/qt-xmlpatterns-4.7.0, x11-libs/qt-dbus-4.7.0, x11-libs/qt-script-4.7.0)
[ebuild     U ] x11-libs/qt-webkit-4.7.0 [4.6.3-r1] USE="dbus exceptions kde (-aqua) -debug -pch" 0 kB
[blocks b     ] >x11-libs/qt-assistant-4.6.3-r9999 (">x11-libs/qt-assistant-4.6.3-r9999" is blocking x11-libs/qt-gui-4.6.3, x11-libs/qt-qt3support-4.6.3, x11-libs/qt-test-4.6.3, x11-libs/qt-svg-4.6.3, x11-libs/qt-opengl-4.6.3, x11-libs/qt-core-4.6.3, x11-libs/qt-dbus-4.6.3, x11-libs/qt-script-4.6.3, x11-libs/qt-webkit-4.6.3-r1, x11-libs/qt-sql-4.6.3-r2, x11-libs/qt-multimedia-4.6.3, x11-libs/qt-xmlpatterns-4.6.3)
[blocks b     ] <x11-libs/qt-webkit-4.7.0 ("<x11-libs/qt-webkit-4.7.0" is blocking x11-libs/qt-test-4.7.0, x11-libs/qt-svg-4.7.0, x11-libs/qt-qt3support-4.7.0, x11-libs/qt-gui-4.7.0, x11-libs/qt-declarative-4.7.0, x11-libs/qt-core-4.7.0, x11-libs/qt-sql-4.7.0, x11-libs/qt-assistant-4.7.0, x11-libs/qt-opengl-4.7.0, x11-libs/qt-multimedia-4.7.0, x11-libs/qt-xmlpatterns-4.7.0, x11-libs/qt-dbus-4.7.0, x11-libs/qt-script-4.7.0)
[ebuild  N    ] x11-libs/qt-declarative-4.7.0  USE="exceptions (-aqua) -debug -pch -private-headers" 0 kB
.....

Total: 14 packages (13 upgrades, 1 new), Size of downloads: 203,438 kB
Conflict: 25 blocks

Would you like to merge these packages? [Yes/No] 

megabaks ★★★★ ()
Ответ на: комментарий от anonymous

меня бесит ор по тырнетам про блокировки в кутях - ересь же!
обычная обновка

megabaks ★★★★ ()
Ответ на: комментарий от megabaks

а то, что выше - не блокировка разве? -)) лично у меня кути обновились до 4.7.0 только после сноса старого куте (4.6.3)

anonymous ()
Ответ на: комментарий от anonymous

кстати, кеды 4.5.1 почему-то требовали куте 4.6.3

пришлось силком их затыкать

anonymous ()
Ответ на: комментарий от megabaks

ага, а у меня галлюцинации, значит -))

anonymous ()
Ответ на: комментарий от anonymous

именно!
при блокировках он предложит не поставить, а пройти до гениталий!

megabaks ★★★★ ()
Ответ на: комментарий от anonymous

да! а вот блокировка как выглядит(это так - для общего развития)

desktop megabaks # emerge -avD =kde-base/kdelibs-4.4.5

 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.


These are the packages that would be merged, in order:

Calculating dependencies... done!
[ebuild     UD] dev-libs/libattica-0.1.2 [0.1.4] USE="-debug" 30 kB
[ebuild  NS   ] kde-base/kdelibs-4.4.5 [4.5.2] USE="acl alsa bzip2 lzma mmx nls opengl policykit semantic-desktop sse sse2 ssl -3dnow (-altivec) (-aqua) -bindist -debug -doc -fam -handbook -jpeg2k (-kdeenablefinal) (-kdeprefix) -kerberos -openexr -spell -test -zeroconf" 13,759 kB
[blocks B     ] kde-base/kdelibs:4.5[-kdeprefix] ("kde-base/kdelibs:4.5[-kdeprefix]" is blocking kde-base/kdelibs-4.4.5)
[blocks B     ] kde-base/kdelibs:4.4[-kdeprefix] ("kde-base/kdelibs:4.4[-kdeprefix]" is blocking kde-base/kdelibs-4.5.2, kde-base/kdontchangethehostname-4.5.2)

Total: 2 packages (1 downgrade, 1 in new slot), Size of downloads: 13,788 kB
Conflict: 2 blocks (2 unsatisfied)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  (kde-base/kdelibs-4.4.5, ebuild scheduled for merge) pulled in by
    =kde-base/kdelibs-4.4.5

  (kde-base/kdontchangethehostname-4.5.2, installed) pulled in by
    kde-base/kdontchangethehostname required by @selected

  (kde-base/kdelibs-4.5.2, installed) pulled in by
    >=kde-base/kdelibs-4.5.2[-aqua,-kdeprefix] required by (kde-base/nepomuk-4.5.2, installed)
    >=kde-base/kdelibs-4.5.2[-aqua,-kdeprefix,semantic-desktop] required by (kde-base/nepomuk-4.5.2, installed)
    >=kde-base/kdelibs-4.4[-aqua] required by (sys-auth/polkit-kde-0.95.1-r1, installed)


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


 * IMPORTANT: 1 news items need reading for repository 'gentoo'.
 * Use eselect news to read news items.

desktop megabaks # 

megabaks ★★★★ ()
Ответ на: комментарий от anonymous

это не аргумент :)
или думаешь я из головы нагенерил выхлопы? о_О

megabaks ★★★★ ()
Ответ на: комментарий от megabaks

думаю, ты их подкорректировал из всепожирающей любви к Qt

anonymous ()
Ответ на: комментарий от anonymous

хм...хочешь прокатить за пи^балабола?
нехорошо, нехорошо

megabaks ★★★★ ()
Ответ на: комментарий от megabaks

мне неважно, за кого я прокачу, а вот тебе врать не к лицу

у меня были блокировки, а у него их, видите ли, не было

исходя из общего фона глючности Линукс-софта, вероятнее, что блокировки таки есть, а ты лжец и бородач

anonymous ()
Ответ на: комментарий от anonymous

вообще то имелось в виду что ты хочешь прокатить меня за *
впрочем всё с тобой ясно :)
свободен

megabaks ★★★★ ()
Ответ на: комментарий от megabaks

>вообще то имелось в виду что ты хочешь прокатить меня за *

ох ты ж чёрт, ты выиграл

anonymous ()

нефиг было ставить без --oneshot, если очистить world, то все будет обновляться нормально
синие строчки с блокировками - это нормально

note173 ★★★★★ ()
Ответ на: комментарий от note173

>нефиг было ставить без --oneshot, если очистить world, то все будет обновляться нормально
Чего О_о
Во-первых это никак не влияет, а во-вторых потом emerge -c предложит удалить всё.

HTaeD ★★★★ ()
Ответ на: комментарий от megabaks

глянь на keywords

а так же у меня в /etc/portage/package.keywords

[cut]
<x11-libs/qt-test-4.6.9999
<x11-libs/qt-core-4.6.9999
<x11-libs/qt-dbus-4.6.9999
<x11-libs/qt-gui-4.6.9999
<x11-libs/qt-opengl-4.6.9999
<x11-libs/qt-script-4.6.9999
<x11-libs/qt-sql-4.6.9999
<x11-libs/qt-svg-4.6.9999
<x11-libs/qt-qt3support-4.6.9999
<x11-libs/qt-webkit-4.6.9999
<x11-libs/qt-xmlpatterns-4.6.9999
[cut]
Chaser_Andrey ★★★★★ ()

На portage-2.2 большей части блокировок не бывает.

AnDoR ★★★★★ ()
Ответ на: комментарий от maxkit

>> emerge -avuDN world

А почему не -avuDN1 ?

потому что конкретно в этом случае разницы нет. -1 не записывает устанавливаемые пакеты в world. А в команде параметр - world, запишут туда его же содержимое или оставят - оно останется неизменным

anonymous ()

Во-первых, раз ACCEPT_KEYWORDS, значит ССЗБ

Во-вторых, лучше решить проблемы с блокировками сразу. Если конфликт с Qt, можешь попробовать обновить Qt сразу и посмотреть, где блок (хотя при -uDN world должно было же быть уже написано).

Gary ★★★★★ ()
Ответ на: комментарий от megabaks

Именно это она и сделала. Не ставит, ибо [blocks B], а не [blocks b].

Toll ★★ ()
Ответ на: комментарий от Gary

Не хочется размаскировать Qt, и так уже ~amd64 для нее. Я бы с удовольствием подождал, пока снимут маск в портежах, ибо кеды обновлять не горит. Но, хотелось бы обновить все остальное. Есть какой-нить чудодейственный параметр или что-нибудь иное?

Toll ★★ ()
Ответ на: комментарий от megabaks

Понятия не имею. Генту - она такая, у всех разная. У меня смесь тестовой ветки и стабильной, думаю, причина в этом.

Toll ★★ ()
Ответ на: комментарий от Toll

ух-ты - ССЗБ в квадрате :3
некрофилия?
или пугает фраза «нестабильная ветка»?

megabaks ★★★★ ()
Ответ на: комментарий от megabaks

>ух-ты - ССЗБ в квадрате :3

Спасибо, хоть буду знать кто я :))

или пугает фраза «нестабильная ветка»?

Параноя рулит. Стабильные версии системный вещей (ядро, иксы, ...) и тестовые некоторых софтин - как раз по мне. Но, иногда, получается вот такая фигня как сейчас.

Toll ★★ ()
Ответ на: комментарий от AnDoR

Прикольно, жаль что portage-2.2 пока замаскирован - стремно. Пока у меня стабильная версия стоит.

Toll ★★ ()
Ответ на: комментарий от Toll

> жаль что portage-2.2 пока замаскирован - стремно

openrc и portage -9999, полет отличный.

devl547 ★★★★★ ()
Ответ на: комментарий от Toll

А показать весь лог убеждения не позволяют?..

HTaeD ★★★★ ()
Ответ на: комментарий от Toll

Он уже достаточно стабилен, чтобы использовать.

HTaeD ★★★★ ()
Ответ на: комментарий от Toll

>Понятия не имею. Генту - она такая, у всех разная.

Ага. Давно проблем, типа сабжевой не встречал... Юзаю arch для системы и ~arch для отдельных пакетов.

KRoN73 ★★★★★ ()
Ответ на: комментарий от HTaeD

Лог сильно большой, да и не думал, что он может быть полезен. Залью как до домашнего компа доберусь.

Toll ★★ ()
Ответ на: комментарий от james_is_me

>Итого, время задуматься: из какого оверлея сабж?

Вроде не из оверлея, просто для кдешных пакетов пользую ~arch

Toll ★★ ()
Ответ на: комментарий от HTaeD

На данный конкретный момент откатываюсь с kde-live на 4.4.5. Ситуация следующая: 1) >=kde-4.4.5 ~arch 2) kdepimlibs частично несовметимы с kdelibs 3) phonon в ebuild-ах не соответствует сырцам (типа, пиши ебилды руками) 4) требует оверлей qting-edge и qt-4.7 из него

в вашем случае имеет смысл поюзать qting-edge

james_is_me ()
Ответ на: комментарий от james_is_me

Мои 4.5.2 никакого Qt-4.7 не просят, kdepim не использую, и phonon нормально собрался сам.

HTaeD ★★★★ ()
Ответ на: комментарий от Toll

Насколько я понял, всё дело в qt-multimedia. Попробуйте удалить текущую и поставить x11-libs/qt-multimedia-4.6.3.

И да, почему не emerge -uND, а просто -uD ?

HTaeD ★★★★ ()
Ответ на: комментарий от HTaeD

>И да, почему не emerge -uND, а просто -uD ?

Да как-то так сложилось.

Насколько я понял, всё дело в qt-multimedia. Попробуйте удалить текущую и поставить x11-libs/qt-multimedia-4.6.3.

Спасибо, попробую.

Toll ★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.